Last modified: 2012-09-28 17:14:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17543 - RevisionDeleted fails on latest revision
RevisionDeleted fails on latest revision
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Page deletion (Other open bugs)
unspecified
All All
: Normal enhancement with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 15644
  Show dependency treegraph
 
Reported: 2009-02-17 23:35 UTC by FT2
Modified: 2012-09-28 17:14 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description FT2 2009-02-17 23:35:47 UTC
RevisionDeleted fails to work on the latest revision to a page.

While this restriction makes sense with Oversight, where the entire current revision is affected, it is unnecessary for RevisionDeleted which may be used just to redact metadata or log entries.

What should happen (ideally) is that the show/hide option is available, but at most, the "hide text" option is greyed out if this is the current revision (with an explanation).
Comment 1 Aaron Schulz 2009-03-22 06:09:30 UTC
I'd strongly prefer that the current version of pages be public and easily queried. It would also be a bit less secure to hide them.

The only useful case for this might be when someone logs out on accident and the edit is on top.
Comment 2 Dominic 2009-04-01 06:56:55 UTC
I think you may have misread the request (or if not, I'm misunderstanding your reply). We're not asking to be able to hide the current version (text) of a page. But why would the only use of being able to hide the username or edit summary be to hide an accidental log-out? The uses are the same as for any other revision. An edit by an account with personal information in the name may not need reversion, just hiding the name; or an edit with a bad edit summary may not make any changes that require reversion, just edit summary removal. This is particularly true in abusive pagemove vandalism, where no content is changed at all, but the current revision will have a bad edit comment automatically generated from moving the page back from the bad page name, like "(show/hide) 05:55, April 1, 2009 Admin (talk | contribs | block) m (9,667 bytes) (moved John Doe lives at 1234 Main Street! to User:John Doe over redirect: Pagemove vandalism cleanup) (rollback)."
Comment 3 Aaron Schulz 2009-04-01 11:53:35 UTC
Yes, I was also referring to the user name and comment too. 
Comment 4 FT2 2009-04-01 14:45:55 UTC
Above seems ambiguous to me. Do we have hiding of username and edit comment on the latest edit?
Comment 5 MZMcBride 2009-04-02 09:28:01 UTC
Re-opening for the moment for further consideration.

While it's annoying to query (for example) for the latest editor and have it be null, requiring oversighters to make a trivial edit in order to be able to hide Bad information seems rather silly and counter-intuitive. Obviously it shouldn't be possible to hide page text for the top revision, but hiding user names and summaries seems reasonable.
Comment 6 Aaron Schulz 2009-04-06 02:01:58 UTC
Changed in r49226
Comment 7 Bartosz Dziewoński 2012-09-28 17:14:39 UTC
This might possibly be related to bug 40599.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links